VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2325
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6630
   LinkTopic       =   "Form1"
   ScaleHeight     =   2325
   ScaleWidth      =   6630
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdYahoo 
      Caption         =   "Yahoo Map"
      Height          =   495
      Left            =   2400
      TabIndex        =   5
      Top             =   1560
      Width           =   1215
   End
   Begin VB.ComboBox cboYahoo 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   960
      List            =   "Form1.frx":0010
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   1680
      Width           =   1215
   End
   Begin VB.ComboBox cboGoogle 
      Height          =   315
      ItemData        =   "Form1.frx":0035
      Left            =   960
      List            =   "Form1.frx":0042
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton cmdGoogle 
      Caption         =   "Google Map"
      Height          =   495
      Left            =   2400
      TabIndex        =   2
      Top             =   840
      Width           =   1215
   End
   Begin VB.TextBox txtAddress 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Text            =   "North Clark St and West Washington St, Chicago IL"
      Top             =   120
      Width           =   5535
   End
   Begin VB.Label Label1 
      Caption         =   "Address:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Private Const SW_SHOWNORMAL = 1
Private Const SW_SHOWMAXIMIZED = 3

Private Sub cmdGoogle_Click()
' The basic map URL without the address information.
Const URL_BASE As String = "http://maps.google.com/maps?f=q&hl=en&geocode=&time=&date=&ttype=&q=@ADDR@&ie=UTF8&t=@TYPE@"

Dim addr As String
Dim url As String

    ' A very simple URL encoding.
    addr = txtAddress.Text
    addr = Replace$(addr, " ", "+")
    addr = Replace$(addr, ",", "%2c")

    ' Insert the encoded address into the base URL.
    url = Replace$(URL_BASE, "@ADDR@", addr)

    ' Insert the proper type.
    Select Case cboGoogle.Text
        Case "Map"
            url = Replace$(url, "@TYPE@", "m")
        Case "Satellite"
            url = Replace$(url, "@TYPE@", "h")
        Case "Terrain"
            url = Replace$(url, "@TYPE@", "p")
    End Select

    ' "Execute" the URL to make the default browser display it.
    ShellExecute ByVal 0&, "open", url, _
        vbNullString, vbNullString, SW_SHOWMAXIMIZED
End Sub

Private Sub cmdYahoo_Click()
' The basic map URL without the address information.
Const URL_FAST As String = "http://maps.yahoo.com/broadband#mvt=@TYPE@&q1=@ADDR@"
Const URL_SLOW As String = "http://maps.yahoo.com/maps_result.php?q1=@ADDR@"

Dim addr As String
Dim url As String

    ' Get broadband or dial-up base URL.
    If cboYahoo.Text = "Dial-Up" Then
        url = URL_SLOW
    Else
        url = URL_FAST
    End If

    ' A very simple URL encoding.
    addr = txtAddress.Text
    addr = Replace$(addr, " ", "+")
    addr = Replace$(addr, ",", "%2c")

    ' Insert the encoded address into the base URL.
    url = Replace$(url, "@ADDR@", addr)

    ' Insert the proper type.
    Select Case cboGoogle.Text
        Case "Map"
            url = Replace$(url, "@TYPE@", "m")
        Case "Satellite"
            url = Replace$(url, "@TYPE@", "s")
        Case "Hybrid"
            url = Replace$(url, "@TYPE@", "h")
    End Select

    ' "Execute" the URL to make the default browser display it.
    ShellExecute ByVal 0&, "open", url, _
        vbNullString, vbNullString, SW_SHOWMAXIMIZED
End Sub


Private Sub Form_Load()
    cboGoogle.ListIndex = 0
    cboYahoo.ListIndex = 0
End Sub


